[Libreoffice-commits] .: Branch 'libreoffice-3-5' - 2 commits - extensions/source np_sdk/inc Repository.mk scp2/source svx/Executable_gengal.bin.mk svx/Module_svx.mk svx/Package_gengal.mk svx/source

René Engelhard rene at kemper.freedesktop.org
Fri Feb 17 07:45:49 PST 2012


 Repository.mk                                 |    1 
 extensions/source/nsplugin/source/npshell.cxx |    2 
 np_sdk/inc/npapi.h                            |    2 
 scp2/source/ooo/file_ooo.scp                  |   22 +++++
 svx/Executable_gengal.bin.mk                  |   80 ++++++++++++++++++++
 svx/Module_svx.mk                             |    2 
 svx/Package_gengal.mk                         |   31 +++++++
 svx/source/gengal/gengal.cxx                  |    8 +-
 svx/source/gengal/gengal.sh                   |  103 ++++++++++++++++++++++++++
 9 files changed, 245 insertions(+), 6 deletions(-)

New commits:
commit e46472ae2e4eea0e201565fb8dd7bdcb59ef9c28
Author: Rene Engelhard <rene at debian.org>
Date:   Fri Feb 17 15:40:37 2012 +0100

    char* -> const char* for npapis getMIMEDescription to fix build with newer mozs

diff --git a/extensions/source/nsplugin/source/npshell.cxx b/extensions/source/nsplugin/source/npshell.cxx
index 134ee36..e25326f 100644
--- a/extensions/source/nsplugin/source/npshell.cxx
+++ b/extensions/source/nsplugin/source/npshell.cxx
@@ -361,7 +361,7 @@ MIMETYPE_OASIS_OPENDOCUMENT_PRESENTATION_ASCII ":odp:OpenDocument Presentation;"
 MIMETYPE_OASIS_OPENDOCUMENT_PRESENTATION_TEMPLATE_ASCII ":otp:OpenDocument Presentation Template;"
 MIMETYPE_OASIS_OPENDOCUMENT_FORMULA_ASCII ":odf:OpenDocument Formula;" );
 
-char*
+const char*
 NPP_GetMIMEDescription(void)
 {
     debug_fprintf(NSP_LOG_APPEND, "print by Netscape Plugin,  NPP_GetMIMEDescription:%s.\n", pMimeTypes);
diff --git a/np_sdk/inc/npapi.h b/np_sdk/inc/npapi.h
index d67dcd3..4a7f7ce 100644
--- a/np_sdk/inc/npapi.h
+++ b/np_sdk/inc/npapi.h
@@ -784,7 +784,7 @@ extern "C" {
 
 /* NPP_* functions are provided by the plugin and called by the navigator. */
 
-char* NPP_GetMIMEDescription(void);
+const char* NPP_GetMIMEDescription(void);
 NPError NP_LOADDS NPP_New(NPMIMEType pluginType, NPP instance,
                           uint16_t mode, int16_t argc, char* argn[],
                           char* argv[], NPSavedData* saved);
commit b948b1ec30e2001fe2386f70510c64ed9f19270c
Author: Rene Engelhard <rene at debian.org>
Date:   Fri Feb 17 15:45:05 2012 +0100

    make gengal work again

diff --git a/Repository.mk b/Repository.mk
index 251405b..5df6c87 100644
--- a/Repository.mk
+++ b/Repository.mk
@@ -78,6 +78,7 @@ else
 $(eval $(call gb_Helper_register_executables,OOO,\
 	soffice.bin \
 	unopkg.bin \
+	gengal.bin \
 ))
 
 ifeq ($(OS),MACOSX)
diff --git a/scp2/source/ooo/file_ooo.scp b/scp2/source/ooo/file_ooo.scp
index 7f1cc64..e3b9abe 100644
--- a/scp2/source/ooo/file_ooo.scp
+++ b/scp2/source/ooo/file_ooo.scp
@@ -121,6 +121,28 @@ File gid_File_Exe_Nsplugin
 End
 #endif
 
+File gid_File_Bin_Gengal
+    BIN_FILE_BODY;
+    Dir = gid_Brand_Dir_Program;
+    Styles = (PACKED);
+  #ifdef UNX
+    Name = "gengal.bin";
+  #else
+    Name = "gengal.exe";
+  #endif
+End
+
+#ifdef UNX
+
+File gid_File_Script_Gengal
+    BIN_FILE_BODY;
+    Dir = gid_Brand_Dir_Program;
+    Styles = (PACKED);
+    Name = "gengal";
+End
+
+#endif
+
 #if !defined(WITHOUT_MOZILLA) && defined(UNX) && !defined(QUARTZ)
 
 File gid_File_Bin_Pluginapp
diff --git a/svx/Executable_gengal.bin.mk b/svx/Executable_gengal.bin.mk
new file mode 100644
index 0000000..36f7752
--- /dev/null
+++ b/svx/Executable_gengal.bin.mk
@@ -0,0 +1,80 @@
+#*************************************************************************
+#
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+# 
+# Copyright 2000, 2010 Oracle and/or its affiliates.
+#
+# OpenOffice.org - a multi-platform office productivity suite
+#
+# This file is part of OpenOffice.org.
+#
+# OpenOffice.org is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License version 3
+# only, as published by the Free Software Foundation.
+#
+# OpenOffice.org is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
+# GNU Lesser General Public License version 3 for more details
+# (a copy is included in the LICENSE file that accompanied this code).
+#
+# You should have received a copy of the GNU Lesser General Public License
+# version 3 along with OpenOffice.org.	If not, see
+# <http://www.openoffice.org/license.html>
+# for a copy of the LGPLv3 License.
+#
+#*************************************************************************
+
+$(eval $(call gb_Executable_Executable,gengal.bin))
+
+$(eval $(call gb_Executable_set_include,gengal.bin,\
+    $$(INCLUDE) \
+    -I$(SRCDIR)/svx/inc/ \
+    -I$(SRCDIR)/svx/inc/pch \
+    -I$(OUTDIR)/inc/offuh \
+    -I$(OUTDIR)/inc/udkapi \
+    -I$(OUTDIR)/inc/offapi \
+))
+
+$(eval $(call gb_Executable_add_cxxflags,gengal.bin,\
+    $$(CXXFLAGS) \
+))
+
+$(eval $(call gb_Executable_add_linked_libs,gengal.bin,\
+    sal \
+    tl \
+    svl \
+    comphelper \
+    cppu \
+    cppuhelper \
+    vcl \
+    ucbhelper \
+    svxcore \
+))
+
+$(eval $(call gb_Executable_add_exception_objects,gengal.bin,\
+    svx/source/gengal/gengal \
+))
+
+$(eval $(call gb_Executable_add_linked_static_libs,gengal.bin,\
+    vclmain \
+))
+
+ifeq ($(OS),WNT)
+$(eval $(call gb_Executable_add_linked_libs,gengal.bin,\
+    kernel32 \
+    msvcrt \
+    oldnames \
+    user32 \
+    uwinapi \
+))
+endif
+
+ifeq ($(OS),LINUX)
+$(eval $(call gb_Executable_add_linked_libs,gengal.bin,\
+    dl \
+    pthread \
+))
+endif
+
+# vim: set noet sw=4 ts=4:
diff --git a/svx/Module_svx.mk b/svx/Module_svx.mk
index 9a3091f..43ffc52 100644
--- a/svx/Module_svx.mk
+++ b/svx/Module_svx.mk
@@ -38,6 +38,8 @@ $(eval $(call gb_Module_add_targets,svx,\
     AllLangResTarget_textconversiondlgs \
     Package_inc \
     Package_sdi \
+    Package_gengal \
+    Executable_gengal.bin \
 ))
 
 $(eval $(call gb_Module_add_subsequentcheck_targets,svx,\
diff --git a/svx/Package_gengal.mk b/svx/Package_gengal.mk
new file mode 100644
index 0000000..c47fc85
--- /dev/null
+++ b/svx/Package_gengal.mk
@@ -0,0 +1,31 @@
+#*************************************************************************
+#
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+# 
+# Copyright 2000, 2011 Oracle and/or its affiliates.
+#
+# OpenOffice.org - a multi-platform office productivity suite
+#
+# This file is part of OpenOffice.org.
+#
+# OpenOffice.org is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License version 3
+# only, as published by the Free Software Foundation.
+#
+# OpenOffice.org is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License version 3 for more details
+# (a copy is included in the LICENSE file that accompanied this code).
+#
+# You should have received a copy of the GNU Lesser General Public License
+# version 3 along with OpenOffice.org.  If not, see
+# <http://www.openoffice.org/license.html>
+# for a copy of the LGPLv3 License.
+#
+#*************************************************************************
+
+$(eval $(call gb_Package_Package,svx_gengal,$(SRCDIR)/svx/source/gengal))
+$(eval $(call gb_Package_add_file,svx_gengal,bin/gengal,gengal.sh))
+
+# vim: set noet ts=4 sw=4:
diff --git a/svx/source/gengal/gengal.cxx b/svx/source/gengal/gengal.cxx
index 438194d..0eaa5ab 100644
--- a/svx/source/gengal/gengal.cxx
+++ b/svx/source/gengal/gengal.cxx
@@ -65,7 +65,7 @@
 #include <osl/process.h>
 #include <rtl/bootstrap.hxx>
 
-#include <galtheme.hxx>
+#include <svx/galtheme.hxx>
 #include <svx/gallery1.hxx>
 
 using namespace ::com::sun::star::uno;
@@ -98,7 +98,7 @@ void disposeGallery( Gallery* pGallery )
 static void createTheme( rtl::OUString aThemeName,
                          rtl::OUString aGalleryURL,
                          rtl::OUString aDestDir,
-                         UINT32 nNumFrom,
+                         sal_uInt32 nNumFrom,
                          FileNameList &rFiles )
 {
     Gallery * pGallery( createGallery( aGalleryURL ) );
@@ -276,10 +276,10 @@ int GalApp::Main()
     bool bHelp = false;
     rtl::OUString aPath, aDestDir;
     rtl::OUString aName(RTL_CONSTASCII_USTRINGPARAM("Default name"));
-    UINT32 nNumFrom = 0;
+    sal_uInt32 nNumFrom = 0;
     FileNameList aFiles;
 
-    for( USHORT i = 0; i < GetCommandLineParamCount(); i++ )
+    for( sal_uInt16 i = 0; i < GetCommandLineParamCount(); i++ )
     {
         rtl::OUString aParam = GetCommandLineParam( i );
 
diff --git a/svx/source/gengal/gengal.sh b/svx/source/gengal/gengal.sh
new file mode 100644
index 0000000..5173fb4
--- /dev/null
+++ b/svx/source/gengal/gengal.sh
@@ -0,0 +1,103 @@
+#!/bin/sh
+#*************************************************************************
+#
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+# 
+# Copyright 2000, 2010 Oracle and/or its affiliates.
+#
+# OpenOffice.org - a multi-platform office productivity suite
+#
+# This file is part of OpenOffice.org.
+#
+# OpenOffice.org is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License version 3
+# only, as published by the Free Software Foundation.
+#
+# OpenOffice.org is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License version 3 for more details
+# (a copy is included in the LICENSE file that accompanied this code).
+#
+# You should have received a copy of the GNU Lesser General Public License
+# version 3 along with OpenOffice.org.  If not, see
+# <http://www.openoffice.org/license.html>
+# for a copy of the LGPLv3 License.
+#
+#*************************************************************************
+
+# enable file locking
+SAL_ENABLE_FILE_LOCKING=1
+export SAL_ENABLE_FILE_LOCKING
+
+# resolve installation directory
+sd_cwd="`pwd`"
+if [ -h "$0" ] ; then
+    sd_basename=`basename "$0"`
+     sd_script=`ls -l "$0" | sed "s/.*${sd_basename} -> //g"` 
+    cd "`dirname "$0"`"
+    cd "`dirname "$sd_script"`"
+else
+    cd "`dirname "$0"`"
+fi
+
+sd_prog="`pwd`"
+
+cd ..
+sd_binary=`basename "$0"`".bin"
+sd_inst="`pwd`"
+
+# change back directory
+cd "$sd_cwd"
+
+# check if all required patches are installed
+if [ -x "$sd_prog/sopatchlevel.sh" ]; then
+    "$sd_prog/sopatchlevel.sh"
+    if [ $? -eq 1 ]; then
+        exit 0
+    fi
+fi
+
+# set search path for shared libraries
+sd_platform=`uname -s`
+sd_prog1="$sd_prog/../basis-link/program"
+sd_prog2="$sd_prog/../basis-link/ure-link/lib"
+case $sd_platform in
+  AIX)
+    LIBPATH=${sd_prog1}:${sd_prog2}${LIBPATH+:${LIBPATH}}
+    export LIBPATH
+    ;;
+
+  Darwin)
+    DYLD_LIBRARY_PATH=${sd_prog1}:${sd_prog2}${DYLD_LIBRARY_PATH:+:${DYLD_LIBRARY_PATH}}
+    export DYLD_LIBRARY_PATH
+    ;;
+
+  HP-UX)
+    SHLIB_PATH=${sd_prog1}:${sd_prog2}:/usr/openwin/lib${SHLIB_PATH:+:${SHLIB_PATH}}
+    export SHLIB_PATH
+    ;;
+
+  *)
+    LD_LIBRARY_PATH=${sd_prog1}:${sd_prog2}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
+    export LD_LIBRARY_PATH
+    ;;
+esac
+
+# misc. environment variables
+unset XENVIRONMENT
+
+# set path so that other apps can be started just by name
+PATH="$sd_prog":$PATH
+export PATH
+
+OOO_INSTALL_PREFIX=${OOO_INSTALL_PREFIX-$sd_prog/../..}
+if ! test -e $OOO_INSTALL_PREFIX/basis-link; then
+    # Hack for vanilla OOo binaries' split install layout
+    OOO_INSTALL_PREFIX=$OOO_INSTALL_PREFIX/../openoffice.org3
+fi
+
+export OOO_INSTALL_PREFIX
+
+# execute binary
+exec "$sd_prog/$sd_binary" "$@"


More information about the Libreoffice-commits mailing list